package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ElecMeterH;
import com.ruoyi.ems.model.QueryMeter;

import java.util.List;

/**
 * 用电计量-小时Service接口
 *
 * @author ruoyi
 * @date 2024-12-03
 */
public interface IElecMeterHService {
    /**
     * 查询用电计量-小时列表
     *
     * @param queryMeter 用电计量-小时
     * @return 用电计量-小时集合
     */
    List<ElecMeterH> selectElecMeterHList(QueryMeter queryMeter);

    /**
     * 查询用电计量-根据边界对象
     *
     * @param queryMeter
     * @return
     */
    List<ElecMeterH> listByBoundaryObj(QueryMeter queryMeter);

    /**
     * 统计用电计量-根据边界对象
     *
     * @param queryMeter
     * @return
     */
    ElecMeterH staByBoundaryObj(QueryMeter queryMeter);

    /**
     * 新增用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    int insertElecMeterH(ElecMeterH elecMeterH);

    /**
     * 修改用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    int updateElecMeterH(ElecMeterH elecMeterH);

    /**
     * 删除用电计量-小时信息
     *
     * @param date 日期
     * @return 结果
     */
    int deleteElecMeterHByDate(String date);
}
